threeform {onion} | R Documentation

## Various non-field diagnostics

### Description

Diagnostics of non-field behaviour: threeform, associator, commutator

### Usage

    threeform(x1, x2, x3)
    associator(x1, x2, x3)
    commutator(x1, x2)

### Arguments

`x1,x2,x3` | onionic vectors

### Details

The threeform is defined as `Re(x1 * (Conj(x2) * x3) - x3 * (Conj(x2) * x1))/2`;

the associator is `(x1 * x2) * x3 - x1 * (x2 * x3)`;

the commutator is `x1 * x2 - x2 * x1`.

### Value

Returns an octonionic vector.

### Author(s)

Robin K. S. Hankin

### Examples

    x <- roct(7) ; y <- roct(7) ; z <- roct(7)
    associator(x,y,z)

[Package onion version 1.2-7 Index]